Bug 731700 - When creating test run, TCMS neither keeps sorting of test plan, nor does sor by sort_key
Summary: When creating test run, TCMS neither keeps sorting of test plan, nor does sor...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Web UI
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: June Zhang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 593666
TreeView+ depends on / blocked
 
Reported: 2011-08-18 11:50 UTC by David Jaša
Modified: 2018-05-23 21:28 UTC (History)
8 users (show)

Fixed In Version: TCMS 3.6.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
greasemonkey user script (2.39 KB, text/plain)
2011-11-07 23:30 UTC, David Jaša
no flags Details

Description David Jaša 2011-08-18 11:50:51 UTC
Description of problem:
SSIA. 

Version-Release number of selected component (if applicable):
Nitrate 3.5.0

How reproducible:
always

Steps to Reproduce:
1. go to https://tcms.engineering.redhat.com/plan/4059/
2. click 'Sort' in table header to get test cases sorted according to sort_key
3. click 'Run' above the table to create new test run
  
Actual results:
1) test cases are sorted in nonsensical manner
2) test cases can not be re-sorted according to sort_key as the column is not displayed

Expected results:
1) case ordering from 'test plan' page are retained in 'create new test run' page
2) cases in 'create new test run' page can be sorted according to every column available in 'test plan' page

Additional info:

Comment 1 Petr Šplíchal 2011-08-30 13:06:59 UTC
See also bug 730733.

Comment 2 David Jaša 2011-11-07 23:30:20 UTC
Created attachment 532155 [details]
greasemonkey user script

Workaround using greasemonkey. To use:
1. install Greasemonkey
2. save the file, navigate with firefox to saved file, confirm installation
3. in test plan, sort cases as you wish
4. create new run
5. hit 'sort number' column header

Created on FF 8 beta1, not tested anywhere else.

Comment 3 David Jaša 2011-11-08 09:39:19 UTC
(In reply to comment #2)
> Created attachment 532155 [details]
> greasemonkey user script
> 
> Workaround using greasemonkey. To use:

Never mind, when used, tcms sees no cases selected.

Comment 4 jianchen 2011-11-23 02:49:11 UTC
(In reply to comment #0)
> Description of problem:
> SSIA. 
> 
> Version-Release number of selected component (if applicable):
> Nitrate 3.5.0
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1. go to https://tcms.engineering.redhat.com/plan/4059/
> 2. click 'Sort' in table header to get test cases sorted according to sort_key
> 3. click 'Run' above the table to create new test run
> 
> Actual results:
> 1) test cases are sorted in nonsensical manner
> 2) test cases can not be re-sorted according to sort_key as the column is not
> displayed
> 
> Expected results:
> 1) case ordering from 'test plan' page are retained in 'create new test run'
> page
> 2) cases in 'create new test run' page can be sorted according to every column
> available in 'test plan' page
> 
> Additional info:

In tcms 3.6.2, case ordering from 'test plan' page are retained in 'create new test run' page.
cases in 'create new test run' page can be sorted according to every column
available in 'test plan' page, this issue will fixed in later version.

Comment 5 Xin Gao 2011-11-24 05:14:00 UTC
Verify version and result:
3.6.2 on englab --> PASSED

Actual results:
In 3.6.2, cases sort-key in 'create new test run' page can be retained. And all cases are re-sorted by sort_key.


Note You need to log in before you can comment on or make changes to this bug.